summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorEmil Karlson <jekarlson@gmail.com>2015-04-01 19:06:32 +0300
committerEmil Karlson <jekarlson@gmail.com>2015-04-01 19:06:32 +0300
commite2aafe96a4c764092db1aa90c6840f212df46519 (patch)
treeafa44be7fced4d7e3e089681726c56ecaa56c177
parentx11-drivers/ati-drivers: repoman fixes (diff)
downloadx11-e2aafe96a4c764092db1aa90c6840f212df46519.tar.gz
x11-e2aafe96a4c764092db1aa90c6840f212df46519.tar.bz2
x11-e2aafe96a4c764092db1aa90c6840f212df46519.zip
x11-drivers/ati-drivers: version bump
-rw-r--r--x11-drivers/ati-drivers/Manifest2
-rw-r--r--x11-drivers/ati-drivers/ati-drivers-15.1.ebuild (renamed from x11-drivers/ati-drivers/ati-drivers-14.1_beta.ebuild)92
2 files changed, 56 insertions, 38 deletions
diff --git a/x11-drivers/ati-drivers/Manifest b/x11-drivers/ati-drivers/Manifest
index c72c2a53..9f5ae226 100644
--- a/x11-drivers/ati-drivers/Manifest
+++ b/x11-drivers/ati-drivers/Manifest
@@ -3,10 +3,10 @@ DIST amd-catalyst-13.12-linux-x86.x86_64.zip 160571830 SHA256 024033f4847d1c2a18
DIST amd-catalyst-14-4-linux-x86-x86-64.zip 122867159 SHA256 03cc022a49f47888b04f12343ace82bc1eff3aac524e6b4433848c20dc77fec0 SHA512 b359e6c9c349e7a3bee2bd95d3e39f0c596b9a9066893ade3eefcc89ee792094d26a04b2f6bdc31431b368a90ae5870ef07f848a4cbcca723ca1c7c3fcf79d98 WHIRLPOOL bd81574e1fc3be3f82ff51392a3044694e2834ce57395f9d4fe1a89dfa4bebd4b9fe24bc739a45173305bd267d1752226f0648145d5982c9dbe2a0ed23cf37f6
DIST amd-catalyst-14-4-rev2-linux-x86-x86-64-may6.zip 122875129 SHA256 93e213e5b182a0863aa926d1e3ab4498adc0e0007aac4fc14a3abae84bb170f5 SHA512 478419e5051423d490d98149dbb529104d6d36b84e84fa90ae028f0b266c6f2f034c1584f016781c689b558e83724571e5b0af640d9374dcfaedb1c025fa8dfc WHIRLPOOL fdfc6c3177d9e5076a2a2deb79955df069706485dab845d7a651e14597441621b326d0376d979405eca7017330cb3bcdd50fe35f6394d41a527d01c6819fbb71
DIST amd-catalyst-14-9-linux-x86-x86-64.zip 142129117 SHA256 f28af1970df92a423ce0fafda89e508b37af68dccefffacff4a712ebe619c07a SHA512 022c4b6660c586e6055c2a4f708ca8f37677dc99a32b00fb8fe0ef51981c872a3cae0014994f2b9d137df0b8e98b6ab9904af778d77a815b62a5d72404022bb9 WHIRLPOOL 455e03a580d52aec915dcb899eca019bc3ff265ef250dab65fb08549f77078b8014a93961adeae663f85538a6bc188b8f6b68f16cd7b32418ddbd5bdcf93ae12
-DIST amd-catalyst-14.1-betav1.3-linux-x86.x86_64.zip 122280358 SHA256 61258534756b494fbd35c10a18b142d8805b07f4f9bab394b3a445cbf6a543fa SHA512 dd7b2841cdf6f32ab3a0b04b759fcc0669d59c97e2a63a7606e870cb4314cdbcd15ad637f9fca9597b0cea6204f8e6b49ef1512b7a6753bfccdae3baf8837531 WHIRLPOOL ab3a593b728354486880ea0da57bb5c4f2a761182a05c722e58164bdaeeb3cdade45b6165ca8c2c054d5effb4dd1b7ab327dfd153768226ef9f2c8e87f8d8f0d
DIST amd-catalyst-14.2-betav1.3-linux-x86.x86_64.zip 122287831 SHA256 b729fa327fbc030d9e73266997cbbba3186c6ba3f2d3059b9adf6bf9ab5d63cd SHA512 308881f34e58319cb6efd89ee1ff068ecb7058ddbb871b5543568151cd810ae08c49b94026bb81042edb526309b3f4144be3c92432a4e1421f100a905d95fc35 WHIRLPOOL 4c017cb01c281f2f0652e129e26a3c2fa7eb0846a2a194928d2c0a755806a4f14ee4746767d5408574903144ddd3bfbbb9e2b15f4e1bf8ccd86ca195b7f12bb2
DIST amd-catalyst-omega-14.12-linux-run-installers.zip 155616187 SHA256 68669836f20ad4351e08b13c5766c6b2ffc6b8cd2a37e9baf55779da32d3a249 SHA512 f87be6a56c03ca4aae3782668af8700d83c85872387753cf002ba4a0e0816fae9af29841a4390db972bfe2f7fb853571b32f8434c2008983461b80699347ac21 WHIRLPOOL 2675a387abd372b34c51f4e8ebfd6547300a8c3ffcc0562633838bc0cdaec3675ca3f4cfa2ab7481c8fa1238a46059f5f848611780638ef6d2301a527d900326
DIST amd-driver-installer-catalyst-13.1-legacy-linux-x86.x86_64.zip 106908508 SHA256 3a992fb7564dba17a696217dc32043dabc21743c82116a6657817ee8a3a1d55f SHA512 96b34045dca3ad70156500b37d3f06008728ff81878a3e1432060d08e668d8cbd9bfe172440bcb818f01d731d39e3eeccc25396417993d2b9b8985b3b7dc7357 WHIRLPOOL f0e34ccb1a9dfe3cfd9e9c640c3d6ed97a4a3e892b65325a78045653b40d29a78427dc9092d8e14bee1a8ba603405ed9e8cd60188d5bc5e8c5eee03d66a8f25c
+DIST fglrx-installer_15.200.orig.tar.gz 202964824 SHA256 a4ad20d53f790d5105351a5627fadbf02fe4945582abf2b93a337b1bbaa0b033 SHA512 499fd955a170d8157a974acdee981ce0a444262465624bacea38a23421f9d80ce3481b20a0d0daa4469eba85a69ec9278026c127a2a1995f52573adc5b1808c7 WHIRLPOOL 00ccd79433499133367b669740b494de33ec9de17c2a45f3d1222ee8d8cb9c40d4ad8d7043a2593bb3e1fbc66a4f65a7fd756c61a40fdbc9cf9b6cb1d693e25f
DIST linux-amd-catalyst-14.6-beta-v1.0-jul11.zip 127042528 SHA256 9786b8d695069ebe132d4c6ad8bd011688c28af3fa1a11c08589f38f1854a962 SHA512 029df9ff5ba1a90bb54518726852b20ba3766e3b72d1071d99dcee076dcc505e5d81433308f1213413257f4afe450fd3ca3fd29dc611fcc1126a8c148c928f73 WHIRLPOOL 26bd3eb371ac3dbefe539a4ebb31718db7153c2382b9e5f650de094be309964e65f1e55136313e4d5430ae18e661faa547bb6211efb1d6b3ca50487d99756195
DIST linux-amd-catalyst-14.6-beta-v1.0-may23.zip 127015703 SHA256 d03c524d7ec7154ddc598f73ab2db08cb38cc47b756f0809cda9e21ea1ce40fd SHA512 96ca8898d7255f18a0cf19feb3af7478bfd65ac4b5890e7d7919c1b5a2e0e8eacaa26a3cd804b7ce6448f19b54e8e45ecc168629d8ad35eaa108a019b3907ea3 WHIRLPOOL bcf45b957484250bf4ade52eecfb71ea933fd8c8c3ef248ca7b013430ec8c232eff33317d13a13cdd5d7e2681832b8847cb86d1fe5340dafaaa23a7abf581df4
DIST xvba-sdk-0.74-404001.tar.gz 583847 SHA256 731a2c489f2fb5d7318c1976061b26c1057a696f46d09dcf55fbada97fed17eb SHA512 aa1dd52b59eeeabd026d8b76e3b75eaf02587ef286438ba28884afeef5a5efaf50283b5ee4f5b81b12cf79cb4ec77c9a235a886b29fb7cdf850c9779f4b07b35 WHIRLPOOL 69917b746d353a884512e97b9d9a9b89e6f51add3119e69ddd119d51c0c3f2820b93a449fe42bd76d671dc505f92bf25b7f2c5868b33768fc68a19596e460951
diff --git a/x11-drivers/ati-drivers/ati-drivers-14.1_beta.ebuild b/x11-drivers/ati-drivers/ati-drivers-15.1.ebuild
index d227c7f4..31faf4e3 100644
--- a/x11-drivers/ati-drivers/ati-drivers-14.1_beta.ebuild
+++ b/x11-drivers/ati-drivers/ati-drivers-15.1.ebuild
@@ -4,19 +4,20 @@
EAPI=5
-inherit eutils multilib linux-info linux-mod toolchain-funcs versionator pax-utils
+MULTILIB_COMPAT=( abi_x86_{32,64} )
+inherit eutils multilib-build linux-info linux-mod toolchain-funcs versionator pax-utils
DESCRIPTION="Ati precompiled drivers for Radeon Evergreen (HD5000 Series) and newer chipsets"
HOMEPAGE="http://www.amd.com"
-RUN="${WORKDIR}/amd-driver-installer-13.35.1005-x86.x86_64.run"
+#RUN="${WORKDIR}/fglrx-14.501.1003/amd-driver-installer-14.501.1003-x86.x86_64.run"
SLOT="1"
# Uses javascript for download YESSSS
#DRIVERS_URI="http://www2.ati.com/drivers/linux/amd-catalyst-13.12-linux-x86.x86_64.zip"
-DRIVERS_URI="http://dev.gentooexperimental.org/~scarabeus/amd-catalyst-14.1-betav1.3-linux-x86.x86_64.zip"
+DRIVERS_URI="mirror://ubuntu/pool/restricted/f/fglrx-installer/fglrx-installer_15.200.orig.tar.gz"
XVBA_SDK_URI="http://developer.amd.com/wordpress/media/2012/10/xvba-sdk-0.74-404001.tar.gz"
SRC_URI="${DRIVERS_URI} ${XVBA_SDK_URI}"
FOLDER_PREFIX="common/"
-IUSE="debug +modules multilib qt4 static-libs pax_kernel"
+IUSE="debug +modules qt4 static-libs pax_kernel gdm-hack"
LICENSE="AMD GPL-2 QPL-1.0"
KEYWORDS="-* ~amd64 ~x86"
@@ -24,7 +25,7 @@ KEYWORDS="-* ~amd64 ~x86"
RESTRICT="bindist test"
RDEPEND="
- <=x11-base/xorg-server-1.15.49[-minimal]
+ <=x11-base/xorg-server-1.17.49[-minimal]
>=app-eselect/eselect-opengl-1.0.7
app-eselect/eselect-opencl
sys-power/acpid
@@ -35,8 +36,12 @@ RDEPEND="
x11-libs/libXrandr
x11-libs/libXrender
virtual/glu
- multilib? (
- app-emulation/emul-linux-x86-opengl
+ !x11-libs/xvba-video
+ abi_x86_32? (
+ || (
+ virtual/glu[abi_x86_32]
+ app-emulation/emul-linux-x86-opengl
+ )
|| (
(
x11-libs/libX11[abi_x86_32]
@@ -57,6 +62,9 @@ RDEPEND="
dev-qt/qtcore:4
dev-qt/qtgui:4[accessibility]
)
+ gdm-hack? (
+ x11-base/xorg-server:=
+ )
"
if [[ legacy != ${SLOT} ]]; then
RDEPEND="${RDEPEND}
@@ -110,6 +118,8 @@ QA_PRESTRIPPED="
usr/lib\(32\|64\)\?/libAMDXvBA.so.1.0
usr/lib\(32\|64\)\?/libaticaldd.so
usr/lib\(32\|64\)\?/dri/fglrx_dri.so
+ usr/lib\(32\|64\)\?/OpenCL/vendors/amd/libOpenCL.so.1
+ usr/lib\(32\|64\)\?/OpenCL/vendors/amd/libamdocl\(32\|64\).so
"
QA_SONAME="
@@ -118,6 +128,7 @@ QA_SONAME="
usr/lib\(32\|64\)\?/libaticaldd.so
usr/lib\(32\|64\)\?/libaticalrt.so
usr/lib\(32\|64\)\?/libamdocl\(32\|64\)\?.so
+ usr/lib\(32\|64\)\?/libamdhsasc\(32\|64\)\?.so
"
QA_DT_HASH="
@@ -150,6 +161,14 @@ QA_DT_HASH="
usr/lib\(32\|64\)\?/OpenCL/vendors/amd/libOpenCL.so.1
"
+pkg_nofetch() {
+ einfo "The driver packages"
+ einfo ${A}
+ einfo "need to be downloaded manually from"
+ einfo "http://support.amd.com/en-us/download/desktop?os=Linux%20x86_64"
+ einfo "and ${XVBA_SDK_URI}"
+}
+
pkg_pretend() {
local CONFIG_CHECK="~MTRR ~!DRM ACPI PCI_MSI !LOCKDEP !PAX_KERNEXEC_PLUGIN_METHOD_OR"
use amd64 && CONFIG_CHECK+=" COMPAT"
@@ -191,7 +210,7 @@ pkg_setup() {
MODULE_NAMES="fglrx(video:${S}/${FOLDER_PREFIX}/lib/modules/fglrx/build_mod/2.6.x)"
BUILD_TARGETS="kmod_build"
linux-mod_pkg_setup
- BUILD_PARAMS="GCC_VER_MAJ=$(gcc-major-version) KVER=${KV_FULL} KDIR=${KV_DIR}"
+ BUILD_PARAMS="GCC_VER_MAJ=$(gcc-major-version) KVER=${KV_FULL} KDIR=${KV_OUT_DIR}"
BUILD_PARAMS="${BUILD_PARAMS} CFLAGS_MODULE+=\"-DMODULE -DATI -DFGL\""
if grep -q arch_compat_alloc_user_space ${KV_DIR}/arch/x86/include/asm/compat.h ; then
BUILD_PARAMS="${BUILD_PARAMS} CFLAGS_MODULE+=-DCOMPAT_ALLOC_USER_SPACE=arch_compat_alloc_user_space"
@@ -233,6 +252,8 @@ src_unpack() {
if [[ ${DRIVERS_DISTFILE} =~ .*\.tar\.gz ]]; then
unpack ${DRIVERS_DISTFILE}
+ mkdir -p common
+ mv etc lib usr common || die "Assumed to find etc lib and usr for common"
else
#please note, RUN may be insanely assigned at top near SRC_URI
if [[ ${DRIVERS_DISTFILE} =~ .*\.zip ]]; then
@@ -294,25 +315,17 @@ src_prepare() {
# compile fix for AGP-less kernel, bug #435322
epatch "${FILESDIR}"/ati-drivers-12.9-KCL_AGP_FindCapsRegisters-stub.patch
- # Compile fix for kernel typesafe uid types #469160
- epatch "${FILESDIR}/typesafe-kuid.diff"
-
epatch "${FILESDIR}/ati-drivers-13.8-beta-include-seq_file.patch"
- epatch "${FILESDIR}/check-for-iommu-only-if-iommu-is-supported.patch"
-
# Fix #483400
epatch "${FILESDIR}/fgl_glxgears-do-not-include-glATI.patch"
- # Fix build on new kernels
- #epatch "${FILESDIR}/ati-drivers-13.12-acpi.patch"
-
- # Add support for linux-3.13. See #498766
- #epatch "${FILESDIR}/ati-drivers-linux-3.13-acpi-handle.patch"
-
# Compile fix, https://bugs.gentoo.org/show_bug.cgi?id=454870
use pax_kernel && epatch "${FILESDIR}/const-notifier-block.patch"
+ # Compile fix, #526602
+ epatch "${FILESDIR}/use-kernel_fpu_begin.patch"
+
cd "${MODULE_DIR}"
# bugged fglrx build system, this file should be copied by hand
@@ -380,21 +393,7 @@ src_install() {
# amd64 are installed in src_install-libs. Everything else
# (including libraries only available in native 64bit on amd64)
# goes in here.
-
- # There used to be some code here that tried to detect running
- # under a "native multilib" portage ((precursor of)
- # http://dev.gentoo.org/~kanaka/auto-multilib/). I removed that, it
- # should just work (only doing some duplicate work). --marienz
- if has_multilib_profile; then
- local OABI=${ABI}
- for ABI in $(get_install_abis); do
- src_install-libs
- done
- ABI=${OABI}
- unset OABI
- else
- src_install-libs
- fi
+ multilib_foreach_abi src_install-libs
# This is sorted by the order the files occur in the source tree.
@@ -406,6 +405,11 @@ src_install() {
exeinto /usr/$(get_libdir)/xorg/modules
doexe "${MY_BASE_DIR}"/usr/X11R6/${PKG_LIBDIR}/modules/{glesx.so,amdxmm.so}
+ #516816
+ if use gdm-hack; then
+ sed -i 's#/proc/%i/fd/0#/etc/ati/xvrn#g' "${D}/usr/$(get_libdir)/xorg/modules/drivers/fglrx_drv.so" || die "Applying gdm-hack failed"
+ fi
+
# Arch-specific files.
# (s)bin.
into /opt
@@ -470,6 +474,9 @@ src_install() {
doexe "${FILESDIR}"/switchlibGL || die "doexe switchlibGL failed"
cp "${FILESDIR}"/switchlibGL "${T}"/switchlibglx
doexe "${T}"/switchlibglx || die "doexe switchlibglx failed"
+
+ #516816
+ use gdm-hack && Xorg -version > "${D}/etc/ati/xvrn" 2>&1
}
src_install-libs() {
@@ -499,9 +506,16 @@ src_install-libs() {
dosym libGL.so.${libver} ${ATI_ROOT}/lib/libGL.so.${libmajor}
dosym libGL.so.${libver} ${ATI_ROOT}/lib/libGL.so
- exeinto ${ATI_ROOT}/extensions
- doexe "${EX_BASE_DIR}"/usr/X11R6/${pkglibdir}/modules/extensions/fglrx/fglrx-libglx.so
- mv "${D}"/${ATI_ROOT}/extensions/{fglrx-,}libglx.so
+ if multilib_is_native_abi; then
+ exeinto ${ATI_ROOT}/extensions
+ doexe "${EX_BASE_DIR}"/usr/X11R6/${pkglibdir}/modules/extensions/fglrx/fglrx-libglx.so
+ mv "${D}"/${ATI_ROOT}/extensions/{fglrx-,}libglx.so
+
+ #516816
+ if use gdm-hack; then
+ sed -i 's#/proc/%i/fd/0#/etc/ati/xvrn#g' "${D}/${ATI_ROOT}/extensions/libglx.so" || die "Applying gdm-hack failed"
+ fi
+ fi
# other libs
exeinto /usr/$(get_libdir)
@@ -523,6 +537,7 @@ src_install-libs() {
dosym libOpenCL.so.${libmajor} /usr/$(get_libdir)/OpenCL/vendors/amd/libOpenCL.so
exeinto /usr/$(get_libdir)
doexe "${MY_ARCH_DIR}"/usr/${pkglibdir}/libati*.so*
+ doexe "${MY_ARCH_DIR}"/usr/${pkglibdir}/libamdhsasc*.so
# OpenCL vendor files
insinto /etc/OpenCL/vendors/
@@ -558,6 +573,9 @@ src_install-libs() {
#install xvba sdk headers
doheader xvba_sdk/include/amdxvba.h
+ # VA-API internal wrapper
+ dosym /usr/$(get_libdir)/libXvBAW.so.1.0 /usr/$(get_libdir)/va/drivers/fglrx_drv_video.so
+
if use pax_kernel; then
pax-mark m "${D}"/usr/lib*/opengl/ati/lib/libGL.so.1.2 || die "pax-mark failed"
fi